require "defines"

game.oninit(function()
	--game.player.force.resetrecipes()
end)


game.onload(function()	
	--game.player.force.resetrecipes()
end)

-- following code from Mod Uranium (owner Liquius) with permission
game.onevent(defines.events.onbuiltentity, function(event)
	if event.createdentity.name == "y-sfe" then
		if glob.SFE == nil then
			glob.SFE = {}
		end		
		vsfe = {true}		
		vsfe[1] = event.createdentity
		table.insert(glob.SFE, vsfe)
	end
	if event.createdentity.name == "y-ffe" then
		if glob.FFE == nil then
			glob.FFE = {}
		end		
		vffe = {true}		
		vffe[1] = event.createdentity
		table.insert(glob.FFE, vffe)
	end
	if event.createdentity.name == "y-hfe" then
		if glob.HFE == nil then
			glob.HFE = {}
		end		
		vhfe = {true}		
		vhfe[1] = event.createdentity
		table.insert(glob.HFE, vhfe)
	end
	if event.createdentity.name == "y-1stirling-engine" then
		if glob.AST == nil then
			glob.AST = {}
		end		
		vast = {true}		
		vast[1] = event.createdentity
		table.insert(glob.AST, vast)
	end
	if event.createdentity.name == "y-electric-air-heater" then
		if glob.EAH == nil then
			glob.EAH = {}
		end		
		veah = {true}		
		veah[1] = event.createdentity
		table.insert(glob.EAH, veah)
	end
	
end)

game.onevent(defines.events.ontick, function(event)
	if glob.SFE ~= nil then
		for k,SFE in pairs(glob.SFE) do
			if SFE[1].valid then
				if SFE[1].fluidbox[3] ~= nil then
					sfeout = {}
					sfeout = SFE[1].fluidbox[3]
					sfeout["temperature"] = 195
					SFE[1].fluidbox[3] = sfeout
				end
			else
				table.remove(glob.SFE, k)				
			end
		end
	end
	if glob.FFE ~= nil then
		for k,FFE in pairs(glob.FFE) do
			if FFE[1].valid then
				if FFE[1].fluidbox[4] ~= nil then
					ffeout = {}
					ffeout = FFE[1].fluidbox[4]
					ffeout["temperature"] = 275
					FFE[1].fluidbox[4] = ffeout
				end
			else
				table.remove(glob.FFE, k)
			end
		end
	end
	if glob.HFE ~= nil then
		for k,HFE in pairs(glob.HFE) do
			if HFE[1].valid then
				if HFE[1].fluidbox[5] ~= nil then
					hfeout = {}
					hfeout = HFE[1].fluidbox[5]
					hfeout["temperature"] = 90 
					HFE[1].fluidbox[5] = hfeout
				end
			else
				table.remove(glob.HFE, k)
			end
		end
	end
	if glob.AST ~= nil then
		for k,AST in pairs(glob.AST) do
			if AST[1].valid then
				if AST[1].fluidbox[1] ~= nil then
					astout = {}
					astout = AST[1].fluidbox[1]
					astout["temperature"] = 380 
					AST[1].fluidbox[1] = astout
				end
			else
				table.remove(glob.AST, k)				
			end
		end
	end
	if glob.EAH ~= nil then
		for k,EAH in pairs(glob.EAH) do
			if EAH[1].valid then
				if EAH[1].fluidbox[1] ~= nil then
					eahout = {}
					eahout = EAH[1].fluidbox[1]
					eahout["temperature"] = 280 
					EAH[1].fluidbox[1] = eahout
				end
			else
				table.remove(glob.EAH, k)				
			end
		end
	end
		
end)
