data:extend(
{  
	
	-- Solid Fuel Engine	
	{
		type = "recipe",
		name = "y-sfe-recipe",
		ingredients = {{"steam-engine",1},{"iron-plate",1},},
		result = "y-sfe",
		enabled = "true",		
		result_count = 1,
		order="engine",
		subgroup = "ys-test",
	},
		
	{
		type = "item",
		name = "y-sfe",
		icon = "__yi_engines__/graphics/entity/energy2/1_sfe_icon.png",
		flags = {"goes-to-quickbar"},
		order = "b[steam-power]-b[steam-engine]-c[c]",
		place_result = "y-sfe",
		stack_size = 20,		
	},
	
	-- Fluid Fuel Engine	
	{
		type = "recipe",
		name = "y-ffe-recipe",
		ingredients = {{"steam-engine",1},{"iron-plate",1},},
		result = "y-ffe",
		enabled = "true",		
		result_count = 1,
		order="engine",
		subgroup = "ys-test",
	},
		
	{
		type = "item",
		name = "y-ffe",
		icon = "__yi_engines__/graphics/entity/energy2/2_ffe_icon.png",
		flags = {"goes-to-quickbar"},
		order = "b[steam-power]-b[steam-engine]-c[c]",
		place_result = "y-ffe",
		stack_size = 20,
	},
	
	-- Hydraulic Fuel Engine	
	{
		type = "recipe",
		name = "y-hfe-recipe",
		ingredients = {{"steam-engine",1},{"iron-plate",1},},
		result = "y-hfe",
		enabled = "true",		
		result_count = 1,
		order="engine",
		subgroup = "ys-test",
	},
		
	{
		type = "item",
		name = "y-hfe",
		icon = "__yi_engines__/graphics/entity/energy2/3_hfe_icon.png",
		flags = {"goes-to-quickbar"},
		order = "b[steam-power]-b[steam-engine]-c[c]",
		place_result = "y-hfe",
		stack_size = 20,
	},	

	
	-- Heat-Cool-Rib-Block
	{
		type = "recipe",
		name = "y-hc-ribb-recipe",
		ingredients = {{"copper-plate",2},{"iron-plate",1},},
		result = "y-hc-ribb",
		enabled = "true",		
		result_count = 1,
		order="i1",
		subgroup = "ys-test",
	},	
	{
		type = "item",
		name = "y-hc-ribb",
		icon = "__yi_engines__/graphics/heat-pipe.png",
		flags = {"goes-to-quickbar"},
		order = "i1",		
		stack_size = 20,
	},	
	
	-- Little Stirling Engine	
	{
		type = "recipe",
		name = "y-1stirling-engine-recipe",
		ingredients = {{"engine-unit",1},{"iron-gear-wheel",3},{"y-hc-ribb",2},},
		result = "y-1stirling-engine",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "ys-test",
	},
		
	{
		type = "item",
		name = "y-1stirling-engine",
		icon = "__yi_engines__/graphics/entity/energy2/ast-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		place_result = "y-1stirling-engine",
		stack_size = 20,
	},	

	-- Electric Air-Heater
	{
		type = "recipe",
		name = "y-electric-air-heater-recipe",
		ingredients = {{"engine-unit",1},{"iron-gear-wheel",2},{"y-hc-ribb",4},{"copper-cable",7},},
		result = "y-electric-air-heater",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "ys-test",
	},		
	{
		type = "item",
		name = "y-electric-air-heater",
		icon = "__yi_engines__/graphics/entity/energy2/air-heater-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		place_result = "y-electric-air-heater",
		stack_size = 20,
	},	
})	
	